/*

This function automatcally manages unit's stress' individualy.

*/

// =================================== Initial parameters ====================================

_unit	= _this select 0;

middleStress	= 50;	// Minimum tension mood stress level
_reliefTime		= 2;	// Time, in seconds, to wait before relief 1 stress point.
_lastRelief		= time;
_sighting		= 0;

// ===================================== Excitability ========================================

_unit setVariable ["stress", 0, true];

_unit addEventHandler
["firedNear",
	{
		_unit	= _this select 0;
		if ((_unit getVariable "stress") < 100) then
		{
			_unit setVariable ["stress", (_unit getVariable "stress") + 1];
		}
	}
];

_unit addEventHandler
["hit",
	{
		_unit	= _this select 0;
		_unit setVariable ["stress", 100];
	}
];

// ===================================== Main loop ===========================================

while {alive _unit} do
{
	// Units detection
	_threat	= 0;
	_targets	= (getPos _unit) nearObjects ["AllVehicles",500];
	{
		_relation	= (side _unit) getFriend (side _x);
		_sighting	= (_unit knowsAbout _x) * 25;
		if (_relation < 0.6) then	// Is enemy
		{
			_counter	= _sighting * (_x knowsAbout _unit) / 4;
			while {(_threat <= 100) && (_counter > 0)} do
			{_threat = _threat + 1; _counter = _counter - 1;};
		};
	} foreach _targets;
	if (_threat > 0) then {_unit setVariable ["stress", _threat]};

	// Stress natural releaf
	_stress	= _unit getVariable "stress";
	if ((_stress > 0) && (time - _lastRelief >= _reliefTime) && (_threat == 0)) then
	{
		_unit setVariable ["stress", _stress - 1];
		_lastRelief	= time;
	};

	sleep 0.5;
};